hdcp22_rx: XHdcp22_Rx Struct Reference

| hdcp22_rx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp22_Rx Struct Reference
Hdcp22_rx_v2_2

The XHdcp driver instance data. More...

## Data Fields
XHdcp22_Rx_Config | Config
| HDCP-RX config structure. More...
u32 | IsReady
| Indicates device is initialized and ready. More...
u8 | RxCaps [3]
| RxCaps set during initialization. More...
const u8 * | PublicCertPtr
| DCP public certificate pointer. More...
const u8 * | PrivateKeyPtr
| RSA private key pointer. More...
u8 | NPrimeP [64]
| Montgomery NPrimeP array. More...
u8 | NPrimeQ [64]
| Montgomery NPrimeQ array. More...
XHdcp22_Rx_Info | Info
| HDCP-RX authentication and key exchange info. More...
XHdcp22_Rx_Parameters | Params
| HDCP-RX authentication and key exchange parameters. More...
XHdcp22_Rx_StateFunc | StateFunc
| State function pointer. More...
XHdcp22_Rx_Handles | Handles
| Message handles. More...
XHdcp22_Rx_Log | Log
| Log instance. More...
XHdcp22_mmult | MmultInst
| Montgomery multiplier instance. More...
XTmrCtr | TimerInst
| Timer instance. More...
XHdcp22_Rng | RngInst
| Random number generator instance. More...
XHdcp22_Cipher | CipherInst
| Cipher instance. More...
u8 | MessageBuffer [XHDCP22_RX_MAX_MESSAGE_SIZE]
| Message structure. More...
int | MessageSize
| Message size. More...
XHdcp22_Rx_Topology | Topology
| Repeater topology instance. More...

## Detailed Description

The XHdcp driver instance data.

The user is required to allocate a variable of this type for every HDCP-RX device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XHdcp22_Cipher XHdcp22_Rx::CipherInst

Cipher instance.

Referenced by XHdcp22Rx_Disable(), XHdcp22Rx_Enable(), XHdcp22Rx_GetVersion(), XHdcp22Rx_IsEncryptionEnabled(), XHdcp22Rx_LoadLc128(), and XHdcp22Rx_Reset().

XHdcp22_Rx_Config XHdcp22_Rx::Config

HDCP-RX config structure.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_IsRepeater(), and XHdcp22Rx_SetRepeater().

XHdcp22_Rx_Handles XHdcp22_Rx::Handles

Message handles.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Enable(), XHdcp22Rx_Reset(), and XHdcp22Rx_SetCallback().

XHdcp22_Rx_Info XHdcp22_Rx::Info

HDCP-RX authentication and key exchange info.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Disable(), XHdcp22Rx_Enable(), XHdcp22Rx_Info(), XHdcp22Rx_IsAuthenticated(), XHdcp22Rx_IsEnabled(), XHdcp22Rx_IsError(), XHdcp22Rx_IsInProgress(), XHdcp22Rx_LogWr(), XHdcp22Rx_Poll(), XHdcp22Rx_Reset(), XHdcp22Rx_SetDdcError(), XHdcp22Rx_SetLinkError(), XHdcp22Rx_SetReadMessageComplete(), XHdcp22Rx_SetTopologyUpdate(), and XHdcp22Rx_SetWriteMessageAvailable().

u32 XHdcp22_Rx::IsReady

Indicates device is initialized and ready.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_Enable().

XHdcp22_Rx_Log XHdcp22_Rx::Log

Log instance.

Referenced by XHdcp22Rx_LogRd(), XHdcp22Rx_LogReset(), and XHdcp22Rx_LogWr().

u8 XHdcp22_Rx::MessageBuffer[XHDCP22_RX_MAX_MESSAGE_SIZE]

Message structure.

Referenced by XHdcp22Rx_Reset().

int XHdcp22_Rx::MessageSize

Message size.

Referenced by XHdcp22Rx_Reset().

XHdcp22_mmult XHdcp22_Rx::MmultInst

Montgomery multiplier instance.

Referenced by XHdcp22Rx_Enable().

u8 XHdcp22_Rx::NPrimeP[64]

Montgomery NPrimeP array.

Referenced by XHdcp22Rx_LoadPrivateKey().

u8 XHdcp22_Rx::NPrimeQ[64]

Montgomery NPrimeQ array.

Referenced by XHdcp22Rx_LoadPrivateKey().

XHdcp22_Rx_Parameters XHdcp22_Rx::Params

HDCP-RX authentication and key exchange parameters.

Referenced by XHdcp22Rx_GetContentStreamType().

const u8* XHdcp22_Rx::PrivateKeyPtr

RSA private key pointer.

Referenced by XHdcp22Rx_Enable(), and XHdcp22Rx_LoadPrivateKey().

const u8* XHdcp22_Rx::PublicCertPtr

DCP public certificate pointer.

Referenced by XHdcp22Rx_Enable(), and XHdcp22Rx_LoadPublicCert().

XHdcp22_Rng XHdcp22_Rx::RngInst

Random number generator instance.

Referenced by XHdcp22Rx_Disable(), XHdcp22Rx_Enable(), and XHdcp22Rx_GenerateRandom().

u8 XHdcp22_Rx::RxCaps[3]

RxCaps set during initialization.

Referenced by XHdcp22Rx_CfgInitialize(), and XHdcp22Rx_SetRepeater().

XHdcp22_Rx_StateFunc XHdcp22_Rx::StateFunc

State function pointer.

Referenced by XHdcp22Rx_CfgInitialize(), XHdcp22Rx_Poll(), and XHdcp22Rx_Reset().

XTmrCtr XHdcp22_Rx::TimerInst

Timer instance.

Referenced by XHdcp22Rx_Enable(), XHdcp22Rx_GetTimer(), XHdcp22Rx_LogGetTimeUSecs(), and XHdcp22Rx_LogReset().

XHdcp22_Rx_Topology XHdcp22_Rx::Topology

Repeater topology instance.

Referenced by XHdcp22Rx_Info(), XHdcp22Rx_Reset(), XHdcp22Rx_SetTopology(), and XHdcp22Rx_SetTopologyReceiverIdList().